For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
開発者向けツール
コミュニティお問い合わせコンソール
ホームAPI参照ドキュメント変更ログ
ホームAPI参照ドキュメント変更ログ
  • API Reference
      • POSTCreate version stack
      • GETList version stack children
      • GETList version stacks
      • PATCHMove version stack
      • PATCHReorder version stack children
      • PATCHRestore version stack
      • GETShow version stack

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
開発者向けツール
コミュニティお問い合わせコンソール
API ReferenceVersion Stacks

Reorder version stack children

PATCH
https://api.frame.io/v4/accounts/:account_id/version_stacks/:version_stack_id/versions
PATCH
/v4/accounts/:account_id/version_stacks/:version_stack_id/versions
1from frameio_experimental import FrameioExperimental
2from frameio_experimental.version_stacks import VersionStackReorderParamsData
3
4client = FrameioExperimental(
5 token="YOUR_TOKEN_HERE",
6)
7
8client.version_stacks.reorder(
9 account_id="fd1970ea-cdf8-4a0e-9650-bbe1688c7a73",
10 version_stack_id="a858b953-d93c-4fc0-bea3-ccd4905acf89",
11 api_version="experimental",
12 data=VersionStackReorderParamsData(
13 target_file_id="2e426fe0-f965-4594-8b2b-b4dff1dc00ec",
14 move_to="top",
15 ),
16)
1{
2 "data": [
3 {
4 "type": "file",
5 "created_at": "2023-09-25T19:18:29.614189Z",
6 "file_size": 1137444,
7 "id": "2e426fe0-f965-4594-8b2b-b4dff1dc00ec",
8 "media_type": "image/png",
9 "name": "asset.png",
10 "parent_id": "082cae25-f199-4f09-852a-d201ff9240c7",
11 "project_id": "1ba23162-1f0f-4ea6-9cf0-15fe47d759d0",
12 "status": "created",
13 "updated_at": "2024-02-07T16:44:41.986478Z",
14 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c",
15 "adobe_id": "urn:aaid:sc:US:a1b2c3d4-e5f6-7890-abcd-ef1234567890",
16 "adobe_version_id": "2"
17 },
18 {
19 "type": "file",
20 "created_at": "2023-09-25T19:18:29.614189Z",
21 "file_size": 1137444,
22 "id": "b3bbca67-8df1-4fd4-8869-5a1192831d55",
23 "media_type": "image/png",
24 "name": "asset.png",
25 "parent_id": "082cae25-f199-4f09-852a-d201ff9240c7",
26 "project_id": "1ba23162-1f0f-4ea6-9cf0-15fe47d759d0",
27 "status": "created",
28 "updated_at": "2024-02-07T16:44:41.986478Z",
29 "view_url": "https://next.frame.io/project/d5e6011c-2bc9-4596-be05-77d562627112/view/5a89a9fb-0900-4b23-826b-127b90e4db4c",
30 "adobe_id": "urn:aaid:sc:US:a1b2c3d4-e5f6-7890-abcd-ef1234567890",
31 "adobe_version_id": "2"
32 }
33 ]
34}

Reorder version stack children.
Rate Limits: 10 calls per 1.00 minute(s) per account_user

このページは役に立ちましたか?
前へ

Restore version stack

次へ

認証

AuthorizationBearer

Bearer <token>形式のBearer認証。tokenは認証トークンです。

パスパラメータ

account_idstring必須
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).
version_stack_idstring必須
A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with `adobe:` (e.g. `adobe:<adobe_org_id>` for an account, `adobe:<adobe_asset_id>` for a project or folder, `adobe:`adobe:<adobe_asset_id>|<version>` for a file asset).

ヘッダー

api-versionenum必須
許可された値:

リクエスト

Request body
dataobjectオプション

レスポンスヘッダー

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

レスポンス

OK
datalist of objects
Assets

エラー

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).

A Frame.io or Adobe entity identifier. Typically a Frame.io UUID. But for accounts, projects, folders, files, and version stacks that reside in Adobe cloud storage, which is the case for Workfront-connected accounts and projects, an Adobe-assigned id may also be used interchangeably. These ids must be prefixed with adobe: (e.g. adobe:<adobe_org_id> for an account, adobe:<adobe_asset_id> for a project or folder, adobe:adobe:<adobe_asset_id>|<version>` for a file asset).